/****************************************************************************
 * This file is part of the project AqFinance.
 * AqFinance (c) by 2007 Martin Preuss, all rights reserved.
 *
 * The license for this file can be found in the file COPYING which you
 * should have received along with this file.
 ****************************************************************************/


#ifndef AQDB_COLUMN_P_H
#define AQDB_COLUMN_P_H

#include "aqdb_column.h"


#define   AQDB_COLUMN_FIELD_TYPE          0
#define   AQDB_COLUMN_FIELD_NAME          1
#define   AQDB_COLUMN_FIELD_MAXLEN        2
#define   AQDB_COLUMN_FIELD_MUTABLE       3



struct AQDB_COLUMN {
  GWEN_LIST_ELEMENT(AQDB_COLUMN)

  AQDB_DATA_TYPE type;
  char *name;
  int maxLen;
  int isMutable;
};



#endif

