/****************************************************************************
 * This file is part of the project AqDatabase.
 * AqDatabase (c) by 2016 Martin Preuss, all rights reserved.
 *
 * The license for this file can be found in the file COPYING which you
 * should have received along with this file.
 ****************************************************************************/


#ifndef AQDB_QUERY_RESULT_P_H
#define AQDB_QUERY_RESULT_P_H



#include <aqdatabase/aqdb.h>
#include <gwenhywfar/list1.h>
#include <gwenhywfar/idlist64.h>


#include "aqdb_query_result.h"

#include <gwenhywfar/idlist64.h>
#include <gwenhywfar/list1.h>


#define AQDB_QUERY_RESULT_IDLIST_ENTRIES 256


struct AQDB_QUERY_RESULT {
  GWEN_LIST_ELEMENT(AQDB_QUERY_RESULT);

  AQDB_ID queryId;
  uint32_t flags;
  AQDB_ID refQueryId;

  GWEN_IDLIST64 *idList;
  GWEN_IDLIST64_ITERATOR *it;

  uint32_t refCount;
};




#endif



