/****************************************************************************
 * This file is part of the project AqFinance.
 * AqDataBase (c) by 2021 Martin Preuss, all rights reserved.
 *
 * The license for this file can be found in the file COPYING which you
 * should have received along with this file.
 ****************************************************************************/


#ifndef AQDB_TABLE_P_H
#define AQDB_TABLE_P_H


#include "table.h"


struct AQDB_TABLE {
  GWEN_INHERIT_ELEMENT(AQDB_TABLE)
  GWEN_LIST_ELEMENT(AQDB_TABLE)

  char *name;

  /* runtime data */
  AQDB_ID tableId;
  uint32_t openFlags;
  uint32_t flags;

  AQDB_COLUMN_LIST *columnList;

  uint32_t maxObjectSize;
};




#endif
