/****************************************************************************
 * This file is part of the project AqFinance.
 * AqDataBase (c) by 2016 Martin Preuss, all rights reserved.
 *
 * The license for this file can be found in the file COPYING which you
 * should have received along with this file.
 ****************************************************************************/


#ifndef AQDB_DBFILE_HEADER_P_H
#define AQDB_DBFILE_HEADER_P_H


#include "header_l.h"


#define AQDB_DBFILE_HEADER_OFFS_VERSION        0            /* 8 bytes (uint64_t) */
#define AQDB_DBFILE_HEADER_OFFS_LAST_SESSIONID 8            /* 8 bytes (uint64_t) */



struct AQDB_DBFILE_HEADER {
  uint32_t version;
  uint64_t lastSessionId;
};




#endif
