/****************************************************************************
 * This file is part of the project AqDataBase.
 * AqDataBase (c) by 2020 Martin Preuss, all rights reserved.
 *
 * The license for this file can be found in the file COPYING which you
 * should have received along with this file.
 ****************************************************************************/


#ifndef AQDB_IOLAYER_LOWLEVEL_IO_DB_H
#define AQDB_IOLAYER_LOWLEVEL_IO_DB_H


#include "file/iolowlevel/layer.h"


int AQDB_IoLayerLowlevel_Create(AQDB_IOLAYER *ioLayer, uint32_t flags);
int AQDB_IoLayerLowlevel_Open(AQDB_IOLAYER *ioLayer, uint32_t flags);
int AQDB_IoLayerLowlevel_Close(AQDB_IOLAYER *ioLayer, uint32_t flags);

int AQDB_IoLayerLowlevel_FlushTypeData(AQDB_IOLAYER *ioLayer);
int AQDB_IoLayerLowlevel_WriteHeader(AQDB_IOLAYER *ioLayer, AQDB_DBFILE_HEADER *dbh);

int AQDB_IoLayerLowlevel_Check(AQDB_IOLAYER *ioLayer, GWEN_BUFFER *resultTextBuf);


#endif

