/****************************************************************************
 * This file is part of the project AqFinance.
 * AqFinance (c) by 2009 Martin Preuss, all rights reserved.
 *
 * The license for this file can be found in the file COPYING which you
 * should have received along with this file.
 ****************************************************************************/


#ifndef AQDB_DBDIR_ROLLBACK_L_H
#define AQDB_DBDIR_ROLLBACK_L_H

#include <aqdatabase/aqdb_db.h>
#include <aqdatabase/aqdb_sessiondescr.h>


int GWENHYWFAR_CB AQDB_DbDir_GetRollbackSessions(AQDB_DB *db,
                                                 uint32_t aflags,
                                                 AQDB_SESSION_DESCR_LIST *sl);
int AQDB_DbDir_UndoSessionForUser(AQDB_DB *db, AQDB_ID sid, const char *userName);
int GWENHYWFAR_CB AQDB_DbDir_UndoSession(AQDB_DB *db, AQDB_ID sid);

#endif

