/****************************************************************************
 * This file is part of the project AqFinance.
 * AqDataBase (c) by 2020 Martin Preuss, all rights reserved.
 *
 * The license for this file can be found in the file COPYING which you
 * should have received along with this file.
 ****************************************************************************/


#ifndef AQDB_IOLAYER_LOWLEVEL_IO_QUERY_H
#define AQDB_IOLAYER_LOWLEVEL_IO_QUERY_H


#include "file/iolowlevel/layer.h"
#include "file/iolowlevel/table.h"

#include <aqdatabase/aqdb_db.h>



GWEN_IDLIST64 *AQDB_IoLayerLowlevel_GetActiveIds(AQDB_IOLAYER *ioLayer,
                                                 uint32_t accessFlags,
                                                 AQDB_TABLE *dbt,
                                                 uint32_t queryFlags);



#endif

